星期四, 05 12月 2013 22:35

如何在Arvixe安装JB 模板的quickstart package

作者 
给本项目评分
(0 得票数)

2013-12-05

如何在Arvixe安装JB 模板的quickstart 版本

Quickstart是个package,就是包含了Joomla和JB模板合起来的意思,通常Joomla的模板有两种形式,一种是先安装Joomla然后再安装模板,另外一种是Quickstart,把两者合起来了,安装完就同时已经有模板了。对于新手来说用Quickstart是最简单的。因为分开安装后,你往往会发现很多还需要设置。就比如我只要有quickstart的绝对不会去单独安装模板。会单独安装模板的原因就是网站已经成立了,只是换个模板而已。但是换模板对SEO不好,所以轻易也不会换模板。

在Godaddy下安装JB的quickstart是从来没有问题的,因为Godaddy里默认每个目录都是已经是PHP5.X就默认了的。

笔记简单记录如下:

1.建立一个template文件夹(和public_html并列的)将模板文件上传到这个template目录中。

2.将模板文件解压到打算安装的目录(这个目录在addon domain的时候已经指定了的)

3.在浏览器打开域名。这个时候会出现错误如下:

Your host needs to use PHP 5.3.1 or higher to run this version of Joomla!

原因是在这个安装目录里没有.htaccess文件,而arvixe默认的每个目录都还没有指定PHP的版本。

解决方法是:

将安装目录的根目录下创建一个.htaccess文件。

里面只需要有一行。

AddHandler application/x-httpd-php53 .php .php5 .php4 .php3

当然也可以通过cpanel-1H software-PHP Version Manager选择相应的目录设定 PHP 5.3.27, 这个时候你会发现,系统自动在你的安装目录下创建了一个.htaccess文件,而且也就是刚才上面的这行内容。

 

然后再进入域名,就可以出现安装界面。

第一页很容易,只要输入网站名称,和管理员名字密码即可。

第二页选择如下

Mysqli

Localhost

用户名和密码是在你建立数据库的时候就已经设定好了。以及你为这个网站建立的数据库名称。Table prefix按默认的不用改。

第三页也不用改什么,Recommended settings:有点不一样也问题不大,除非是出来红色的就要修改配置了。

第四页是自动开始安装了。

第五页选择remove installation folder,然后就可以打开前台后台了。

 

阅读 1830 次数 最后修改于 星期四, 05 12月 2013 22:41
语嫣

冬天来了,春天还会远么?

QQ: 12585787

网站: www.torontomeet.com

You have no rights to post comments, pls login to post.

相约多伦多-TorontoMeet.com © Copyright 2012

网站记录了语嫣同学移民加拿大后在多伦多的生活的点点滴滴和经验分享。

“文章内容是否已经过时需要更新?你有补充的内容么?一定不要吝啬你的评论,和大家分享点什么吧。对于后来者,那都是宝贵的信息,也是一种对我的鼓励。我希望听见大家的声音,让我们共同来培育这片树林。”--语嫣

评论排名

  • 语嫣
    38 ( +6 )
  • 量体温的猫
    10 ( 0 )
  • juliajulia
    7 ( 0 )
  • 轻轻木子
    7 ( +1 )
  • yuga
    5 ( +2 )

友情链接